Bug 1178971 - intel-ucode update crashes system on boot - fixed by 20201118 release
intel-ucode update crashes system on boot - fixed by 20201118 release
Status: RESOLVED FIXED
Classification: openSUSE
Product: openSUSE Distribution
Classification: openSUSE
Component: Kernel
Leap 15.1
Other Other
: P5 - None : Critical (vote)
: Leap 15.1
Assigned To: openSUSE Kernel Bugs
E-mail List
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2020-11-19 11:27 UTC by Lars Marowsky-Bree
Modified: 2021-02-28 16:44 UTC (History)
4 users (show)

See Also:
Found By: ---
Services Priority:
Business Priority:
Blocker: ---
Marketing QA Status: ---
IT Deployment: ---


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Lars Marowsky-Bree 2020-11-19 11:27:44 UTC
When upgrading from ucode-intel-20200616-1.2.x86_64 to 20201110-1.1, my laptop crashes with a amusingly garbled screen right after selecting the kernel entry from grub.

This is a Dell XPS 13 laptop with:

01: None 00.0: 10103 CPU
  [Created at cpu.462]
  Unique ID: rdCR.j8NaKXDZtZ6
  Hardware Class: cpu
  Arch: X86-64
  Vendor: "GenuineIntel"
  Model: 6.140.1 "11th Gen Intel(R) Core(TM) i7-1165G7 @ 2.80GHz"
  Features: fpu,vme,de,pse,tsc,msr,pae,mce,cx8,apic,sep,mtrr,pge,mca,cmov,pat,pse36,clflush,dts,acpi,mmx,fxsr,sse,sse2,ss,ht,tm,pbe,syscall,nx,pdpe1gb,rdtscp,lm,constant_tsc,art,arch_perfmon,pebs,bts,rep_good,nopl,xtopology,nonstop_tsc,cpuid,aperfmperf,tsc_known_freq,pni,pclmulqdq,dtes64,monitor,ds_cpl,vmx,est,tm2,ssse3,sdbg,fma,cx16,xtpr,pdcm,pcid,sse4_1,sse4_2,x2apic,movbe,popcnt,tsc_deadline_timer,aes,xsave,avx,f16c,rdrand,lahf_lm,abm,3dnowprefetch,cpuid_fault,epb,cat_l2,invpcid_single,cdp_l2,ssbd,ibrs,ibpb,stibp,ibrs_enhanced,tpr_shadow,vnmi,flexpriority,ept,vpid,ept_ad,fsgsbase,tsc_adjust,bmi1,avx2,smep,bmi2,erms,invpcid,rdt_a,avx512f,avx512dq,rdseed,adx,smap,avx512ifma,clflushopt,clwb,intel_pt,avx512cd,sha_ni,avx512bw,avx512vl,xsaveopt,xsavec,xgetbv1,xsaves,split_lock_detect,dtherm,ida,arat,pln,pts,hwp,hwp_notify,hwp_act_window,hwp_epp,hwp_pkg_req,avx512vbmi,umip,pku,ospke,avx512_vbmi2,gfni,vaes,vpclmulqdq,avx512_vnni,avx512_bitalg,avx512_vpopcntdq,rdpid,movdiri,movdir64b,fsrm,avx512_vp2intersect,md_clear,flush_l1
  Clock: 2272 MHz
  BogoMips: 5606.40
  Cache: 12288 kb
  Units/Processor: 16
  Config Status: cfg=no, avail=yes, need=no, active=unknown

And an otherwise uptodate BIOS firmware (according to fwupd).

Rolling back the package update makes the system bootable again.
Comment 1 Lars Marowsky-Bree 2020-11-19 11:28:42 UTC
Adding Marcus to Cc list as he's the maintainer for the ucode package.
Comment 2 Marcus Meissner 2020-11-19 11:36:14 UTC
can you get me the id ofthe firmwar loaded?

dmesg |grep microcode on  workign machine
Comment 3 Lars Marowsky-Bree 2020-11-19 15:41:31 UTC
[    1.430053] microcode: sig=0x806c1, pf=0x80, revision=0x60
[    1.430101] microcode: Microcode Update Driver: v2.2.

I also found this, I think that's related to my previous attempt at booting:

[    1.454158] BERT: Error records from previous boot:
[    1.454160] [Hardware Error]: event severity: fatal
[    1.454161] [Hardware Error]:  Error 0, type: fatal
[    1.454162] [Hardware Error]:   section_type: Firmware Error Record Reference
[    1.454163] [Hardware Error]:   Firmware Error Record Type: SOC Firmware Error Record Type2
[    1.454164] [Hardware Error]:   Revision: 2
[    1.454165] [Hardware Error]:   Record Identifier: 8f87f311-c998-4d9e-a0c4-6065518c4f6d
[    1.454168] [Hardware Error]:   00000000: 1100a101 00000080 00000000 fe013cf4  .............<..
[    1.454170] [Hardware Error]:   00000010: 00000000 3282ffe0 0000260c 328300e2  .......2.&.....2
[    1.454171] [Hardware Error]:   00000020: 0000260d 32867ff8 00002605 328682ed  .&.....2.&.....2
[    1.454172] [Hardware Error]:   00000030: 00002606 3286843a 0000260e 32868547  .&..:..2.&..G..2
[    1.454174] [Hardware Error]:   00000040: 0000260f 3286864d 0000260e 3286874d  .&..M..2.&..M..2
[    1.454175] [Hardware Error]:   00000050: 0000260f 32868853 00002610 32868963  .&..S..2.&..c..2
[    1.454176] [Hardware Error]:   00000060: 0000260e 32868c2d 0000260f 32868d19  .&..-..2.&.....2
[    1.454177] [Hardware Error]:   00000070: 0000260e 32868e19 0000260f 32868f05  .&.....2.&.....2
[    1.454178] [Hardware Error]:   00000080: 00002610 32869015 0000260e 32869208  .&.....2.&.....2
[    1.454179] [Hardware Error]:   00000090: 0000260f 32869317 0000260e 32869417  .&.....2.&.....2
[    1.454180] [Hardware Error]:   000000a0: 0000260f 32869526 00002610 32869636  .&..&..2.&..6..2
[    1.454181] [Hardware Error]:   000000b0: 0000260e 32869a01 0000260f 32869aed  .&.....2.&.....2
[    1.454182] [Hardware Error]:   000000c0: 0000260e 32869bed 0000260f 32869cd9  .&.....2.&.....2
[    1.454183] [Hardware Error]:   000000d0: 00002610 32869de9 00002607 32869fc1  .&.....2.&.....2
[    1.454184] [Hardware Error]:   000000e0: 00000002 01002000 c9bff66c 00002014  ..... ..l.... ..
[    1.454186] [Hardware Error]:   000000f0: c9bff7b8 00002605 3279fb3d 00002619  .....&..=.y2.&..
[    1.454187] [Hardware Error]:   00000100: 327a547e 0000261a 327a55a1 0000261b  ~Tz2.&...Uz2.&..
[    1.454188] [Hardware Error]:   00000110: 327a6f6f 06000500 00002435 0200261c  ooz2....5$...&..
[    1.454189] [Hardware Error]:   00000120: 327a70d2 00000000 00000001 02002622  .pz2........"&..
[    1.454190] [Hardware Error]:   00000130: 327a737a 00000001 00000000 02002623  zsz2........#&..
[    1.454192] [Hardware Error]:   00000140: 327a8ca8 00002604 327a9052 00002605  ..z2.&..R.z2.&..
[    1.454193] [Hardware Error]:   00000150: 327a919e 06000500 00002435 0200261d  ..z2....5$...&..
[    1.454194] [Hardware Error]:   00000160: 327a936e 06000500 00002435 02002617  n.z2....5$...&..
[    1.454195] [Hardware Error]:   00000170: 327a94e0 0000260e 327a9660 0000260f  ..z2.&..`.z2.&..
[    1.454196] [Hardware Error]:   00000180: 327a974c 0000260e 327a984c 0000260f  L.z2.&..L.z2.&..
[    1.454197] [Hardware Error]:   00000190: 327a9938 00002610 327a9a48 00002607  8.z2.&..H.z2.&..
[    1.454198] [Hardware Error]:   000001a0: 327a9c20 00002625 327a9d2f 00002604   .z2%&../.z2.&..
[    1.454199] [Hardware Error]:   000001b0: 327aa65c 00002608 327aad59 00002609  \.z2.&..Y.z2.&..
[    1.454200] [Hardware Error]:   000001c0: 327aae4b 0000260a 327aaf5f 0000260b  K.z2.&.._.z2.&..
[    1.454201] [Hardware Error]:   000001d0: 327d0920 0000260c 327d0a22 0000260d   .}2.&..".}2.&..
[    1.454203] [Hardware Error]:   000001e0: 327fd874 00002608 327fd9e9 00002609  t..2.&.....2.&..
[    1.454204] [Hardware Error]:   000001f0: 327fdadb 0000260a 327fdbef 0000260b  ...2.&.....2.&..
[    1.454222] PM:   Magic number: 12:894:327

Sorry for missing this before.
Comment 4 Marcus Meissner 2020-11-19 15:45:34 UTC
ok, INtel released a new version yesterday that removed this ucode.

Needs a new update.

https://github.com/intel/Intel-Linux-Processor-Microcode-Data-Files/releases/tag/microcode-20201118

- Removed TGL/06-8c-01/80 due to functional issues with some OEM platforms.
Comment 5 OBSbugzilla Bot 2020-11-19 16:30:15 UTC
This is an autogenerated message for OBS integration:
This bug (1178971) was mentioned in
https://build.opensuse.org/request/show/849467 Factory / ucode-intel
Comment 7 Swamp Workflow Management 2020-11-25 17:30:29 UTC
SUSE-SU-2020:3514-1: An update that solves three vulnerabilities and has one errata is now available.

Category: security (moderate)
Bug References: 1170446,1173592,1173594,1178971
CVE References: CVE-2020-8695,CVE-2020-8696,CVE-2020-8698
JIRA References: 
Sources used:
SUSE OpenStack Cloud Crowbar 9 (src):    ucode-intel-20201118-13.81.1
SUSE OpenStack Cloud Crowbar 8 (src):    ucode-intel-20201118-13.81.1
SUSE OpenStack Cloud 9 (src):    ucode-intel-20201118-13.81.1
SUSE OpenStack Cloud 8 (src):    ucode-intel-20201118-13.81.1
SUSE OpenStack Cloud 7 (src):    ucode-intel-20201118-13.81.1
SUSE Linux Enterprise Server for SAP 12-SP4 (src):    ucode-intel-20201118-13.81.1
SUSE Linux Enterprise Server for SAP 12-SP3 (src):    ucode-intel-20201118-13.81.1
SUSE Linux Enterprise Server for SAP 12-SP2 (src):    ucode-intel-20201118-13.81.1
SUSE Linux Enterprise Server 12-SP4-LTSS (src):    ucode-intel-20201118-13.81.1
SUSE Linux Enterprise Server 12-SP3-LTSS (src):    ucode-intel-20201118-13.81.1
SUSE Linux Enterprise Server 12-SP3-BCL (src):    ucode-intel-20201118-13.81.1
SUSE Linux Enterprise Server 12-SP2-LTSS (src):    ucode-intel-20201118-13.81.1
SUSE Linux Enterprise Server 12-SP2-BCL (src):    ucode-intel-20201118-13.81.1
SUSE Enterprise Storage 5 (src):    ucode-intel-20201118-13.81.1
HPE Helion Openstack 8 (src):    ucode-intel-20201118-13.81.1

NOTE: This line indicates an update has been released for the listed product(s). At times this might be only a partial fix. If you have questions please reach out to maintenance coordination.
Comment 8 Swamp Workflow Management 2020-11-25 20:16:48 UTC
SUSE-RU-2020:3523-1: An update that has one recommended fix can now be installed.

Category: recommended (important)
Bug References: 1178971
CVE References: 
JIRA References: 
Sources used:
SUSE Linux Enterprise Server for SAP 15 (src):    ucode-intel-20201118-3.58.1
SUSE Linux Enterprise High Performance Computing 15-LTSS (src):    ucode-intel-20201118-3.58.1
SUSE Linux Enterprise High Performance Computing 15-ESPOS (src):    ucode-intel-20201118-3.58.1

NOTE: This line indicates an update has been released for the listed product(s). At times this might be only a partial fix. If you have questions please reach out to maintenance coordination.
Comment 9 Swamp Workflow Management 2020-11-25 20:17:43 UTC
SUSE-RU-2020:3525-1: An update that has one recommended fix can now be installed.

Category: recommended (important)
Bug References: 1178971
CVE References: 
JIRA References: 
Sources used:
SUSE Linux Enterprise Module for Basesystem 15-SP2 (src):    ucode-intel-20201118-2.13.1

NOTE: This line indicates an update has been released for the listed product(s). At times this might be only a partial fix. If you have questions please reach out to maintenance coordination.
Comment 10 Swamp Workflow Management 2020-11-25 20:19:42 UTC
SUSE-RU-2020:3524-1: An update that has one recommended fix can now be installed.

Category: recommended (important)
Bug References: 1178971
CVE References: 
JIRA References: 
Sources used:
SUSE Linux Enterprise Module for Basesystem 15-SP1 (src):    ucode-intel-20201118-3.42.1

NOTE: This line indicates an update has been released for the listed product(s). At times this might be only a partial fix. If you have questions please reach out to maintenance coordination.
Comment 12 Swamp Workflow Management 2020-11-26 17:25:19 UTC
SUSE-RU-2020:3536-1: An update that has one recommended fix can now be installed.

Category: recommended (important)
Bug References: 1178971
CVE References: 
JIRA References: 
Sources used:
SUSE Linux Enterprise Server 12-SP5 (src):    ucode-intel-20201118-3.26.1

NOTE: This line indicates an update has been released for the listed product(s). At times this might be only a partial fix. If you have questions please reach out to maintenance coordination.
Comment 13 Jiri Slaby 2020-11-26 19:55:49 UTC
.
Comment 14 Swamp Workflow Management 2020-11-27 11:20:05 UTC
openSUSE-SU-2020:2075-1: An update that solves three vulnerabilities and has one errata is now available.

Category: security (important)
Bug References: 1170446,1173592,1173594,1178971
CVE References: CVE-2020-8695,CVE-2020-8696,CVE-2020-8698
JIRA References: 
Sources used:
openSUSE Leap 15.2 (src):    ucode-intel-20201118-lp152.2.8.1
Comment 15 Swamp Workflow Management 2020-11-28 23:14:55 UTC
openSUSE-SU-2020:2098-1: An update that solves three vulnerabilities and has one errata is now available.

Category: security (important)
Bug References: 1170446,1173592,1173594,1178971
CVE References: CVE-2020-8695,CVE-2020-8696,CVE-2020-8698
JIRA References: 
Sources used:
openSUSE Leap 15.1 (src):    ucode-intel-20201118-lp151.2.33.1
Comment 16 Lars Marowsky-Bree 2020-11-30 09:16:29 UTC
Confirmed, thanks.
Comment 17 Swamp Workflow Management 2020-12-07 14:21:23 UTC
SUSE-RU-2020:14555-1: An update that has one recommended fix can now be installed.

Category: recommended (moderate)
Bug References: 1178971
CVE References: 
JIRA References: 
Sources used:
SUSE Linux Enterprise Server 11-SP4-LTSS (src):    microcode_ctl-1.17-102.83.65.1
SUSE Linux Enterprise Point of Sale 11-SP3 (src):    microcode_ctl-1.17-102.83.65.1

NOTE: This line indicates an update has been released for the listed product(s). At times this might be only a partial fix. If you have questions please reach out to maintenance coordination.
Comment 19 OBSbugzilla Bot 2021-02-17 07:20:07 UTC
This is an autogenerated message for OBS integration:
This bug (1178971) was mentioned in
https://build.opensuse.org/request/show/873022 Factory / ucode-intel
Comment 21 Swamp Workflow Management 2021-02-18 14:17:44 UTC
SUSE-RU-2021:0510-1: An update that has two recommended fixes can now be installed.

Category: recommended (important)
Bug References: 1178971,1182347
CVE References: 
JIRA References: 
Sources used:
SUSE Linux Enterprise Server for SAP 15 (src):    ucode-intel-20210216-3.64.1
SUSE Linux Enterprise High Performance Computing 15-LTSS (src):    ucode-intel-20210216-3.64.1
SUSE Linux Enterprise High Performance Computing 15-ESPOS (src):    ucode-intel-20210216-3.64.1

NOTE: This line indicates an update has been released for the listed product(s). At times this might be only a partial fix. If you have questions please reach out to maintenance coordination.
Comment 22 Swamp Workflow Management 2021-02-18 20:14:21 UTC
SUSE-RU-2021:0517-1: An update that has two recommended fixes can now be installed.

Category: recommended (important)
Bug References: 1178971,1182347
CVE References: 
JIRA References: 
Sources used:
SUSE OpenStack Cloud Crowbar 9 (src):    ucode-intel-20210216-13.87.1
SUSE OpenStack Cloud Crowbar 8 (src):    ucode-intel-20210216-13.87.1
SUSE OpenStack Cloud 9 (src):    ucode-intel-20210216-13.87.1
SUSE OpenStack Cloud 8 (src):    ucode-intel-20210216-13.87.1
SUSE OpenStack Cloud 7 (src):    ucode-intel-20210216-13.87.1
SUSE Linux Enterprise Server for SAP 12-SP4 (src):    ucode-intel-20210216-13.87.1
SUSE Linux Enterprise Server for SAP 12-SP3 (src):    ucode-intel-20210216-13.87.1
SUSE Linux Enterprise Server for SAP 12-SP2 (src):    ucode-intel-20210216-13.87.1
SUSE Linux Enterprise Server 12-SP4-LTSS (src):    ucode-intel-20210216-13.87.1
SUSE Linux Enterprise Server 12-SP3-LTSS (src):    ucode-intel-20210216-13.87.1
SUSE Linux Enterprise Server 12-SP3-BCL (src):    ucode-intel-20210216-13.87.1
SUSE Linux Enterprise Server 12-SP2-LTSS (src):    ucode-intel-20210216-13.87.1
SUSE Linux Enterprise Server 12-SP2-BCL (src):    ucode-intel-20210216-13.87.1
HPE Helion Openstack 8 (src):    ucode-intel-20210216-13.87.1

NOTE: This line indicates an update has been released for the listed product(s). At times this might be only a partial fix. If you have questions please reach out to maintenance coordination.
Comment 23 Swamp Workflow Management 2021-02-19 11:14:32 UTC
openSUSE-RU-2021:0307-1: An update that has two recommended fixes can now be installed.

Category: recommended (important)
Bug References: 1178971,1182347
CVE References: 
JIRA References: 
Sources used:
openSUSE Leap 15.2 (src):    ucode-intel-20210216-lp152.2.14.1
Comment 24 Thomas Fabian 2021-02-28 13:30:57 UTC
I can't find the new version 20210216 for openSUSE Leap 15.1.
The versions ucode-intel-20201118-lp151.2.33.1 and ucode-intel-20201118-lp151.2.36.1 hang on my system. 
The version 20200616-lp151.2.27.1 is fine.
Comment 25 Marcus Meissner 2021-02-28 16:44:52 UTC
15.1 is EOL, but you can just pick the ucode-intel update from 15.2 if you need it.